# $Revision: 1.19 $, $Date: 2010/04/18 14:16:32 $
#
# Conditional build:
%bcond_without	javadoc		# don't build apidocs
%bcond_with	java_sun	# build with java-sun

%include	/usr/lib/rpm/macros.java

%define		srcname	commons-lang
Summary:	Commons Lang - utility functions and components
Summary(pl.UTF-8):	Commons Lang - funkcje i komponenty narzędziowe
Name:		java-commons-lang
Version:	2.4
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/lang/source/commons-lang-%{version}-src.tar.gz
# Source0-md5:	625ff5f2f968dd908bca43c9469d6e6b
URL:		http://commons.apache.org/lang/
BuildRequires:	ant >= 1.5
BuildRequires:	java(jaxp_parser_impl)
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	jakarta-commons-lang
Obsoletes:	jakarta-commons-lang
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons Lang is a set of utility functions and reusable components
that should be a help in any Java environment.

%description -l pl.UTF-8
Commons Lang to zestaw funkcji narzędziowych i komponentów
wielokrotnego użycia, które mogą być pomocne w każdym środowisku Javy.

%package javadoc
Summary:	Online manual for Commons Lang
Summary(pl.UTF-8):	Dokumentacja online do Commons Lang
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-lang-javadoc

%description javadoc
Documentation for Commons Lang.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Lang.

%description javadoc -l fr.UTF-8
Javadoc pour Commons Lang.

%prep
%setup -q -n commons-lang-%{version}-src

%build

%ant jar %{?with_javadoc:javadoc} \
  -Dcompile.source=1.4 \
  -Dcompile.target=1.4

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install dist/*.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc PROPOSAL.html RELEASE-NOTES.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-lang.spec,v $
Revision 1.19  2010/04/18 14:16:32  pawelz
- don't force specific jdk
- updated java APIs deps
- sorted deps

Revision 1.18  2009/09/20 21:51:26  pawelz
- up to 2.4
- unified per distro jdk bconds
- standard java BRs
- source/target = 1.4 (because of enum used as identifier)
- do not package LICENSE.txt. It contains well known Apache v2 license.

Revision 1.17  2009/03/29 15:57:39  pawelz
- it uses Apache License v 2.0 not 1.1
- rel 4

Revision 1.16  2009/03/29 15:55:13  pawelz
- jdk bconds
- proper P/O after changing Name
- include java rpm macros
- simplified %%build:
- dropped "export SHELL=/bin/sh" (fixed gjdoc)
- dropped "-Dbuil.compiler=extJavac" (fixed java-gcj-compat-devel)

Revision 1.15  2009/02/18 15:50:00  qboosh
- unified

Revision 1.14  2009/02/10 13:27:25  pawelz
- split javadoc into subpackage
- do not R jre
- use java-gcj-compat-devel
- rel 3

Revision 1.13  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.12  2009/01/23 16:41:02  pawelz
- commons is no longer part of jakarta project

Revision 1.11  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.9  2006/12/05 21:19:09  glen
- BR for %ant

Revision 1.8  2006/12/05 21:18:39  glen
- fix build

Revision 1.7  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.6  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.5  2005/06/13 22:26:10  undefine
- up to 2.1

Revision 1.4  2005/05/08 19:18:05  qboosh
- updated to 2.0, added javadoc patch (to build docs on jdk 1.5)

Revision 1.3  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.2  2003/07/03 22:27:12  qboosh
- description, pl

Revision 1.1  2003/07/02 11:57:58  pascalek
- initial release
